/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */


console.log("add event");

document.addEventListener("DOMContentLoaded", callOrient); // pour la première orientation
window.addEventListener("orientationchange", callOrient);// en cas de changement d'orientation 


if(window.DeviceMotionEvent)
{
	console.log("DeviceMotionEvent supported");
  	window.addEventListener("devicemotion", getAcceleration, true);// affichage de l'accélération
}
else
	console.log("DeviceMotion n'est pas supporté sur ce navigateur.");



if (window.DeviceOrientationEvent)
{
	console.log("deviceOrientationHandler supported");
	window.addEventListener("deviceorientation", deviceOrientationHandler);
	window.addEventListener("deviceorientation", findNorth);
}	
else
	console.log("Device orientation n'est pas supporté sur ce navigateur.");




/**
 * Affiche l'orientation du périphérique (mode portrait ou paysage)
 * @param  {[type]} event [description]
 * @return {[type]}       [description]
 */
function callOrient(event)
{ 
	console.log("callOrient");

	var nOrient = window.orientation;  

	var sTxt = "indéfini";  
	
	if (nOrient == 0)  
		sTxt = "portrait";  
	else if (nOrient == 90)  
		sTxt = "paysage à gauche";  
	else if (nOrient == -90)  
		sTxt = "paysage à droite";  

	var oDiv = document.getElementById("orientDiv"); 
	oDiv.innerHTML = "<b>Orientation :</b> "+sTxt;  
} 


/**
 * gestion et affichage de l'orientation de l'appareil
 * @param  {[type]} event [description]
 */
function deviceOrientationHandler(event)
{
	console.log("deviceOrientationHandler");

	var sTxt = "<br/><b>Orientation du périphérique :</b> "; 

	sTxt += "alpha (axe Z) : "+event.alpha+"<br/> beta (axe X) :"+event.beta+"<br/> gamma (axe Y) :"+event.gamma;

	var oDiv = document.getElementById("orientDiv"); 
	oDiv.innerHTML += sTxt;
}


/**
 * Fonction permettant de trouver le nord avec un périphérique
 * comme une boussole
 * @param  {[type]} event [description]
 * @return {[type]}     [description]
 */
function findNorth(event)
{
	console.log("findNorth");

	var directions = document.getElementById("orientDiv");
	
	if (event.alpha < 5 || event.alpha >355)
		directions.innerHTML += "<br/>Direction du Nord !";

	else if (event.alpha < 180) 
		directions.innerHTML += "<br/>Tournez à gauche";

	else
		directions.innerHTML += "<br/>Tournez à droite";
	
}


/**
 * affiche l'accélération du périphérque
 * @param  {[type]} event [description]
 * @return {[type]}       [description]
 */
function getAcceleration(event)
{	
	console.log("getAcceleration");
	
	var sTxt = "<br/><b>Accélération du périphérique :</b> "; 

	sTxt += "axe Z : "+event.accelerationIncludingGravity.z+"<br/> axe X :"+event.accelerationIncludingGravity.x+"<br/> axe Y :"+event.accelerationIncludingGravity.y;

	var oDiv = document.getElementById("orientDiv"); 
	oDiv.innerHTML += sTxt;
}